> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 再インデックス操作の詳細情報を取得します



## OpenAPI

````yaml /ja/openapi.json get /api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId}
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/reindex/{reindexOperationId}:
    get:
      tags:
        - Catalogs
      summary: 再インデックス操作の詳細情報を取得します
      operationId: GetReindexOperation
      parameters:
        - description: カタログ識別子。カタログ一覧で確認できます。
          in: path
          name: catalogId
          required: true
          schema:
            type: string
        - description: 操作 ID。reindex 操作を開始した際のレスポンスで確認できます。
          in: path
          name: reindexOperationId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 見つかりません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.ReindexOperationResult:
      additionalProperties: false
      properties:
        completed:
          description: 処理が完了した時刻
          nullable: true
          type: string
        created:
          description: 操作の作成時刻
          format: date-time
          type: string
        currentState:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState
        id:
          description: 操作の一意のID
          format: uuid
          type: string
        indexModelId:
          description: ドキュメントの分析に使用されるインデックス モデルの ID
          nullable: true
          type: string
        workflowProcessingId:
          description: 処理ワークフローの ID
          nullable: true
          type: string
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Catalogs.ReindexState:
      enum:
        - InProgress
        - Failed
        - Completed
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````